Skip to main content
PUT
/
v1
/
knowledge-bases
/
{knowledgeBaseId}
curl -X PUT https://api.telzino.com/v1/knowledge-bases/11111111-1111-1111-1111-111111111111 \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Updated Support Docs",
    "description": "Current customer support documentation"
  }'
{ "success": true }

Path Parameters

knowledgeBaseId
string
required
Knowledge base ID (UUID).

Update a Knowledge Base

name
string
required
New knowledge base name, 1-255 characters.
description
string | null
Optional description, up to 2000 characters.
curl -X PUT https://api.telzino.com/v1/knowledge-bases/11111111-1111-1111-1111-111111111111 \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Updated Support Docs",
    "description": "Current customer support documentation"
  }'
{ "success": true }

Delete a Knowledge Base

Deletes the knowledge base and its sources. Agents assigned to this knowledge base will no longer have a knowledge base to search until reassigned.
curl -X DELETE https://api.telzino.com/v1/knowledge-bases/11111111-1111-1111-1111-111111111111 \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
{ "success": true }